<?php

$host = 'localhost';
$banco = 'gsaude_candeias'; 
$usuario = 'root';     
$senha = '';       

try {
    
    $options = [
        PDO::ATTR_ERRMODE            => PDO::ERRMODE_EXCEPTION, // Exceções para erros
        PDO::ATTR_DEFAULT_FETCH_MODE => PDO::FETCH_ASSOC,       // Fetch padrão como array associativo
        PDO::ATTR_EMULATE_PREPARES   => false,                 // Evitar injeção sql
    ];

    $pdo = new PDO("mysql:host=$host;dbname=$banco;charset=utf8mb4", $usuario, $senha, $options);
} catch (PDOException $e) {
    error_log("Erro na conexão com o banco: " . $e->getMessage());  
    die("Erro na conexão. Contate o suporte."); 
}
?>
